 /*
  * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
  * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
  */
/*
 * $Id: CallbackAllowedBeanBase.java 62595 2011-04-20 20:38:55Z kgrucci $
 */

package com.sun.ts.tests.ejb30.common.allowed;

import javax.annotation.Resource;
import java.util.Properties;
import javax.annotation.PostConstruct;
import javax.ejb.SessionContext;
import javax.ejb.Timeout;
import javax.ejb.TransactionAttribute;


public abstract class CallbackAllowedBeanBase 
        implements CallbackAllowedIF, CallbackAllowedLocalIF {
    protected  SessionContext sessionContext;
    protected  Properties results;
    
    abstract public Properties runOperations(SessionContext sctx);
    
    public void timeout(javax.ejb.Timer timer) {}
    
    public void ejbCreate() {
        this.results = null;
        this.results = runOperations(this.sessionContext);
    }
    
    public void setSessionContext(SessionContext sc) {
        this.sessionContext = sc;
    }
    
    public void remove() {}
    
    public Properties getResults() {
        return this.results;
    }
    
}
