/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: MDBClientBase.java 62595 2011-04-20 20:38:55Z kgrucci $
 */

package com.sun.ts.tests.ejb30.common.callback;

abstract public class MDBClientBase extends com.sun.ts.tests.ejb30.common.messaging.ClientBase
        implements com.sun.ts.tests.ejb30.common.messaging.Constants {
    
    /*
     * testName: isPostConstructCalledTest
     * @test_Strategy:
     *  o using annotations:
     *      o CallbackListener
     *      o PostConstruct
     *      o PreDestroy
     *  o verify callback methods in handler class are invoked
     *  o callback methods may, in some cases, named as ejbCreate, ejbRemove
     */
    public void isPostConstructCalledTest() throws Fault {
        sendReceive();
    }
    
    /*
     * testName: isInjectionDoneTest
     * @test_Strategy:
     *  o using annotations:
     *      o CallbackListener
     *      o PostConstruct
     *      o PreDestroy
     *      o Resource
     *  o verify dependency injection has not occurred when callback method is 
     *    called
     */
    public void isInjectionDoneTest() throws Fault {
        sendReceive();
    }
    
    /*
     * testName: isPostConstructOrPreDestroyCalledTest
     * @test_Strategy:
     *  o using annotations:
     *      o CallbackListener
     *      o PostConstruct
     *      o PreDestroy
     *  o apply two/four callback annotations on the same method
     *  o callback methods may use arbitrary names
     */
    public void isPostConstructOrPreDestroyCalledTest() throws Fault {
        sendReceive();
    }
    
}
