/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: MigrationBeanBase.java 62595 2011-04-20 20:38:55Z kgrucci $
 */

package com.sun.ts.tests.ejb30.common.migration.twothree;
import javax.ejb.EJBContext;



abstract public class MigrationBeanBase implements ThreeIF {
    abstract protected EJBContext getEJBContext();
    
    //////////////////////////////////////////////////////////////////////
    //ThreeIF methods
    //////////////////////////////////////////////////////////////////////
    
    public String from3Client() {
        return "from3Client";
    }
    
    //////////////////////////////////////////////////////////////////////
    //TwoRemoteIF methods
    //////////////////////////////////////////////////////////////////////
    public String from2RemoteClient() {
        return "from2RemoteClient";
    }
    
    public void remoteSameTxContext() {
        getEJBContext().setRollbackOnly();
    }
    
    //////////////////////////////////////////////////////////////////////
    //TwoLocalIF methods
    //////////////////////////////////////////////////////////////////////
    public String from2LocalClient() {
        return "from2LocalClient";
    }
    
    public void localSameTxContext() {
        getEJBContext().setRollbackOnly();
    }
}
